# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.CredentialRecord.ITransportsStage

Packages that use CredentialRecord.ITransportsStage
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage
Storage APIs for WebAuthn.

## Uses of CredentialRecord.ITransportsStage in net.shibboleth.idp.plugin.authn.webauthn.storage

Classes in net.shibboleth.idp.plugin.authn.webauthn.storage that implement CredentialRecord.ITransportsStage
Modifier and Type
Class
Description
`static final class`
`CredentialRecord.Builder`
Builder.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage that return CredentialRecord.ITransportsStage
Modifier and Type
Method
Description
`CredentialRecord.ITransportsStage`
CredentialRecord.Builder.`withUsername(String name)`
`CredentialRecord.ITransportsStage`
CredentialRecord.IUsernameStage.`withUsername(String username)`
The username of the user to the IdP.